#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Devel-StackTrace
Version		:	2.04
Release		:	14.8.0.0%{?dist}
Summary		:	An object representing a stack traceS

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch
#-----------------------------------------------------------------------------
BuildRequires	:	perl
#-----------------------------------------------------------------------------
%description
The Devel::StackTrace module contains two classes,
Devel::StackTrace and Devel::StackTrace::Frame.
These objects encapsulate the information that
can retrieved via Perl's caller function, as well
as providing a simple interface to this data.

The Devel::StackTrace object contains a set of
Devel::StackTrace::Frame objects, one for each
level of the stack. The frames contain all the
data available from caller.

This code was created to support my
Exception::Class::Base class (part of Exception::Class)
but may be useful in other contexts.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%{_datadir}/perl5/core_perl/Devel/StackTrace.pm
%{_datadir}/perl5/core_perl/Devel/StackTrace/Frame.pm
#%{_mandir}/man1/use-devel-checklib.1.gz
%{_mandir}/man3/Devel::StackTrace*.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

